set_property BITSTREAM.GENERAL.COMPRESS TRUE [current_design]

#Clock signal
set_property -dict { PACKAGE_PIN K17   IOSTANDARD LVCMOS33 } [get_ports { Clock }]; #IO_L12P_T1_MRCC_35 Sch=sysclk
##create_clock -add -name sys_clk_pin -period 8.00 -waveform {0 4} [get_ports { sysclk }];


set_property -dict { PACKAGE_PIN K18   IOSTANDARD LVCMOS33 } [get_ports { ac_btn }]; #IO_L12N_T1_MRCC_35 Sch=btn[0]
set_property -dict { PACKAGE_PIN P16   IOSTANDARD LVCMOS33 } [get_ports { cButton[0] }]; #IO_L24N_T3_34 Sch=btn[1]
set_property -dict { PACKAGE_PIN K19   IOSTANDARD LVCMOS33 } [get_ports { cButton[1] }]; #IO_L10P_T1_AD11P_35 Sch=btn[2]
set_property -dict { PACKAGE_PIN Y16   IOSTANDARD LVCMOS33 } [get_ports { cButton[2] }]; #IO_L7P_T1_34 Sch=btn[3]

set_property -dict { PACKAGE_PIN G15   IOSTANDARD LVCMOS33 } [get_ports { cSwitch[0] }]; #IO_L19N_T3_VREF_35 Sch=sw[0]
set_property -dict { PACKAGE_PIN P15   IOSTANDARD LVCMOS33 } [get_ports { cSwitch[1] }]; #IO_L24P_T3_34 Sch=sw[1]
set_property -dict { PACKAGE_PIN W13   IOSTANDARD LVCMOS33 } [get_ports { cSwitch[2] }]; #IO_L4N_T0_34 Sch=sw[2]
set_property -dict { PACKAGE_PIN T16   IOSTANDARD LVCMOS33 } [get_ports { cSwitch[3] }]; #IO_L9P_T1_DQS_34 Sch=sw[3]

# LEDs
set_property -dict { PACKAGE_PIN M14   IOSTANDARD LVCMOS33 } [get_ports { cLed[0] }]; #IO_L23P_T3_35 Sch=led[0]
set_property -dict { PACKAGE_PIN M15   IOSTANDARD LVCMOS33 } [get_ports { cLed[1] }]; #IO_L23N_T3_35 Sch=led[1]
set_property -dict { PACKAGE_PIN G14   IOSTANDARD LVCMOS33 } [get_ports { cLed[2] }]; #IO_0_35 Sch=led[2]
set_property -dict { PACKAGE_PIN D18   IOSTANDARD LVCMOS33 } [get_ports { cLed[3] }]; #IO_L3N_T0_DQS_AD1N_35 Sch=led[3]


#RGB LEDs
#set_property -dict { PACKAGE_PIN Y12   IOSTANDARD LVCMOS33 } [get_ports { cRGB_Leds[0] }]; #IO_L20P_T3_13 Sch=led5_b               
#set_property -dict { PACKAGE_PIN T5    IOSTANDARD LVCMOS33 } [get_ports { cRGB_Leds[1] }]; #IO_L19P_T3_13 Sch=led5_g               
#set_property -dict { PACKAGE_PIN Y11   IOSTANDARD LVCMOS33 } [get_ports { cRGB_Leds[2]  }]; #IO_L18N_T2_13 Sch=led5_r              
set_property -dict { PACKAGE_PIN M17   IOSTANDARD LVCMOS33 } [get_ports { cRGB_Leds[0] }]; #IO_L8P_T1_AD10P_35 Sch=led6_b          
set_property -dict { PACKAGE_PIN F17   IOSTANDARD LVCMOS33 } [get_ports { cRGB_Leds[1] }]; #IO_L6N_T0_VREF_35 Sch=led6_g           
set_property -dict { PACKAGE_PIN V16   IOSTANDARD LVCMOS33 } [get_ports { cRGB_Leds[2] }]; #IO_L18P_T2_34 Sch=led6_r              


###Audio Codec
set_property -dict { PACKAGE_PIN R19   IOSTANDARD LVCMOS33 } [get_ports { ac_bclk }]; #IO_0_34 Sch=ac_bclk
set_property -dict { PACKAGE_PIN R17   IOSTANDARD LVCMOS33 } [get_ports { ac_mclk }]; #IO_L19N_T3_VREF_34 Sch=ac_mclk
set_property -dict { PACKAGE_PIN P18   IOSTANDARD LVCMOS33 } [get_ports { ac_muten }]; #IO_L23N_T3_34 Sch=ac_muten
set_property -dict { PACKAGE_PIN R18   IOSTANDARD LVCMOS33 } [get_ports { ac_pbdat }]; #IO_L20N_T3_34 Sch=ac_pbdat
set_property -dict { PACKAGE_PIN T19   IOSTANDARD LVCMOS33 } [get_ports { ac_pblrc }]; #IO_25_34 Sch=ac_pblrc
set_property -dict { PACKAGE_PIN R16   IOSTANDARD LVCMOS33 } [get_ports { ac_recdat }]; #IO_L19P_T3_34 Sch=ac_recdat
set_property -dict { PACKAGE_PIN Y18   IOSTANDARD LVCMOS33 } [get_ports { ac_reclrc }]; #IO_L17P_T2_34 Sch=ac_reclrc


###Audio Codec/external EEPROM IIC bus
set_property -dict { PACKAGE_PIN N18   IOSTANDARD LVCMOS33 } [get_ports { ac_scl_io }]; #IO_L13P_T2_MRCC_34 Sch=ac_scl
set_property -dict { PACKAGE_PIN N17   IOSTANDARD LVCMOS33 } [get_ports { ac_sda_io }]; #IO_L23P_T3_34 Sch=ac_sda


##Additional Ethernet signals
#set_property -dict { PACKAGE_PIN F16   IOSTANDARD LVCMOS33  PULLUP true    } [get_ports { eth_int_pu_b }]; #IO_L6P_T0_35 Sch=eth_int_pu_b
#set_property -dict { PACKAGE_PIN E17   IOSTANDARD LVCMOS33 } [get_ports { eth_rst_b }]; #IO_L3P_T0_DQS_AD1P_35 Sch=eth_rst_b


#Fan
#set_property -dict { PACKAGE_PIN Y13   IOSTANDARD LVCMOS33  PULLUP true    } [get_ports { Fan_Feedback }]; #IO_L20N_T3_13 Sch=fan_fb_pu


#HDMI RX
#set_property -dict { PACKAGE_PIN Y8    IOSTANDARD LVCMOS33 } [get_ports { hdmi_rx_cec }]; #IO_L14N_T2_SRCC_13 Sch=hdmi_rx_cec
#set_property -dict { PACKAGE_PIN U19   IOSTANDARD TMDS_33     } [get_ports { hdmi_rx_clk_n }]; #IO_L12N_T1_MRCC_34 Sch=hdmi_rx_clk_n
#set_property -dict { PACKAGE_PIN U18   IOSTANDARD TMDS_33     } [get_ports { hdmi_rx_clk_p }]; #IO_L12P_T1_MRCC_34 Sch=hdmi_rx_clk_p
#set_property -dict { PACKAGE_PIN W19   IOSTANDARD LVCMOS33 } [get_ports { hdmi_rx_hpa }]; #IO_L22N_T3_34 Sch=hdmi_rx_hpd
#set_property -dict { PACKAGE_PIN W18   IOSTANDARD LVCMOS33 } [get_ports { hdmi_rx_ddc_scl_io }]; #IO_L22P_T3_34 Sch=hdmi_rx_scl
#set_property -dict { PACKAGE_PIN Y19   IOSTANDARD LVCMOS33 } [get_ports { hdmi_rx_ddc_sda_io }]; #IO_L17N_T2_34 Sch=hdmi_rx_sda
#set_property -dict { PACKAGE_PIN W20   IOSTANDARD TMDS_33     } [get_ports { hdmi_rx_data_n[0] }]; #IO_L16N_T2_34 Sch=hdmi_rx_n[0]
#set_property -dict { PACKAGE_PIN V20   IOSTANDARD TMDS_33     } [get_ports { hdmi_rx_data_p[0] }]; #IO_L16P_T2_34 Sch=hdmi_rx_p[0]
#set_property -dict { PACKAGE_PIN U20   IOSTANDARD TMDS_33     } [get_ports { hdmi_rx_data_n[1] }]; #IO_L15N_T2_DQS_34 Sch=hdmi_rx_n[1]
#set_property -dict { PACKAGE_PIN T20   IOSTANDARD TMDS_33     } [get_ports { hdmi_rx_data_p[1] }]; #IO_L15P_T2_DQS_34 Sch=hdmi_rx_p[1]
#set_property -dict { PACKAGE_PIN P20   IOSTANDARD TMDS_33     } [get_ports { hdmi_rx_data_n[2] }]; #IO_L14N_T2_SRCC_34 Sch=hdmi_rx_n[2]
#set_property -dict { PACKAGE_PIN N20   IOSTANDARD TMDS_33     } [get_ports { hdmi_rx_data_p[2] }]; #IO_L14P_T2_SRCC_34 Sch=hdmi_rx_p[2]


#HDMI TX
#set_property -dict { PACKAGE_PIN E19   IOSTANDARD LVCMOS33 } [get_ports { hdmi_tx_cec_tri_io }]; #IO_L5N_T0_AD9N_35 Sch=hdmi_tx_cec
set_property -dict { PACKAGE_PIN H17   IOSTANDARD TMDS_33     } [get_ports { hdmi_tx_clk_n }]; #IO_L13N_T2_MRCC_35 Sch=hdmi_tx_clk_n
set_property -dict { PACKAGE_PIN H16   IOSTANDARD TMDS_33     } [get_ports { hdmi_tx_clk_p }]; #IO_L13P_T2_MRCC_35 Sch=hdmi_tx_clk_p
#set_property -dict { PACKAGE_PIN E18   IOSTANDARD LVCMOS33 } [get_ports { hdmi_tx_hpd }]; #IO_L5P_T0_AD9P_35 Sch=hdmi_tx_hpd
#set_property -dict { PACKAGE_PIN G17   IOSTANDARD LVCMOS33 } [get_ports { hdmi_tx_ddc_scl_io }]; #IO_L16P_T2_35 Sch=hdmi_tx_scl
#set_property -dict { PACKAGE_PIN G18   IOSTANDARD LVCMOS33 } [get_ports { hdmi_tx_ddc_sda_io }]; #IO_L16N_T2_35 Sch=hdmi_tx_sda
set_property -dict { PACKAGE_PIN D20   IOSTANDARD TMDS_33     } [get_ports { hdmi_tx_data_n[0] }]; #IO_L4N_T0_35 Sch=hdmi_tx_n[0]
set_property -dict { PACKAGE_PIN D19   IOSTANDARD TMDS_33     } [get_ports { hdmi_tx_data_p[0] }]; #IO_L4P_T0_35 Sch=hdmi_tx_p[0]
set_property -dict { PACKAGE_PIN B20   IOSTANDARD TMDS_33     } [get_ports { hdmi_tx_data_n[1] }]; #IO_L1N_T0_AD0N_35 Sch=hdmi_tx_n[1]
set_property -dict { PACKAGE_PIN C20   IOSTANDARD TMDS_33     } [get_ports { hdmi_tx_data_p[1] }]; #IO_L1P_T0_AD0P_35 Sch=hdmi_tx_p[1]
set_property -dict { PACKAGE_PIN A20   IOSTANDARD TMDS_33     } [get_ports { hdmi_tx_data_n[2] }]; #IO_L2N_T0_AD8N_35 Sch=hdmi_tx_n[2]
set_property -dict { PACKAGE_PIN B19   IOSTANDARD TMDS_33     } [get_ports { hdmi_tx_data_p[2] }]; #IO_L2P_T0_AD8P_35 Sch=hdmi_tx_p[2]


# Pins for Short and Loopback tests
# 1st GPIO REGISTER
# JA port -----------------------------------------------------------------------------------------
#set_property -dict { PACKAGE_PIN N15   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[0] }]; #IO_L21P_T3_DQS_AD14P_35 Sch=ja1_r_p #JA1_P
#set_property -dict { PACKAGE_PIN N16   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[1] }]; #IO_L21N_T3_DQS_AD14N_35 Sch=ja1_r_n #JA1_N
#set_property -dict { PACKAGE_PIN L14   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[2] }]; #IO_L22P_T3_AD7P_35 Sch=ja2_r_p #JA2_P
#set_property -dict { PACKAGE_PIN L15   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[3] }]; #IO_L22N_T3_AD7N_35 Sch=ja2_r_n #JA2_N
#set_property -dict { PACKAGE_PIN K16   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[4] }]; #IO_L24P_T3_AD15P_35 Sch=ja3_r_p #JA3_P
#set_property -dict { PACKAGE_PIN J16   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[5] }]; #IO_L24N_T3_AD15N_35 Sch=ja3_r_n #JA3_N
#set_property -dict { PACKAGE_PIN K14   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[6] }]; #IO_L20P_T3_AD6P_35 Sch=ja4_r_p #JA4_P
#set_property -dict { PACKAGE_PIN J14   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[7] }]; #IO_L20N_T3_AD6N_35 Sch=ja4_r_n #JA4_N

## JC port -----------------------------------------------------------------------------------------
#set_property -dict { PACKAGE_PIN V15   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[8] }]; #IO_L10P_T1_34 Sch=jc_p[1] #JC1_P
#set_property -dict { PACKAGE_PIN W14   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[9] }]; #IO_L8P_T1_34 Sch=jc_p[3] #JC3_P
#set_property -dict { PACKAGE_PIN W15   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[10] }]; #IO_L10N_T1_34 Sch=jc_n[1] #JC1_N
#set_property -dict { PACKAGE_PIN Y14   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[11] }]; #IO_L8N_T1_34 Sch=jc_n[3] #JC3_N
#set_property -dict { PACKAGE_PIN T11   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[12] }]; #IO_L1P_T0_34 Sch=jc_p[2] #JC2_P
#set_property -dict { PACKAGE_PIN T12   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[13] }]; #IO_L2P_T0_34 Sch=jc_p[4] #JC4_P
#set_property -dict { PACKAGE_PIN T10   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[14] }]; #IO_L1N_T0_34 Sch=jc_n[2] #JC2_N
#set_property -dict { PACKAGE_PIN U12   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[15] }]; #IO_L2N_T0_34 Sch=jc_n[4] #JC4_N

## JD port -----------------------------------------------------------------------------------------
#set_property -dict { PACKAGE_PIN T14   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[16] }]; #IO_L5P_T0_34 Sch=jd_p[1] #JD1_P
#set_property -dict { PACKAGE_PIN U14   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[17] }]; #IO_L11P_T1_SRCC_34 Sch=jd_p[3] #JD3_P
#set_property -dict { PACKAGE_PIN T15   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[18] }]; #IO_L5N_T0_34 Sch=jd_n[1] #JD1_N
#set_property -dict { PACKAGE_PIN U15   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[19] }]; #IO_L11N_T1_SRCC_34 Sch=jd_n[3] #JD3_N
#set_property -dict { PACKAGE_PIN P14   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[20] }]; #IO_L6P_T0_34 Sch=jd_p[2] #JD2_P
#set_property -dict { PACKAGE_PIN V17   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[21] }]; #IO_L21P_T3_DQS_34 Sch=jd_p[4] #JD4_P
#set_property -dict { PACKAGE_PIN R14   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[22] }]; #IO_L6N_T0_VREF_34 Sch=jd_n[2] #JD2_N
#set_property -dict { PACKAGE_PIN V18   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[23] }]; #IO_L21N_T3_DQS_34 Sch=jd_n[4] #JD4_N

## JE port -----------------------------------------------------------------------------------------
#set_property -dict { PACKAGE_PIN V12   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[24] }]; #IO_L4P_T0_34 Sch=je[1] #JE1
#set_property -dict { PACKAGE_PIN V13   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[25] }]; #IO_L3N_T0_DQS_34 Sch=je[7] JE7
#set_property -dict { PACKAGE_PIN W16   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[26] }]; #IO_L18N_T2_34 Sch=je[2] #JE2
#set_property -dict { PACKAGE_PIN U17   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[27] }]; #IO_L9N_T1_DQS_34 Sch=je[8] #JE8
#set_property -dict { PACKAGE_PIN J15   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[28] }]; #IO_25_35 Sch=je[3] #JE3
#set_property -dict { PACKAGE_PIN T17   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[29] }]; #IO_L20P_T3_34 Sch=je[9] #JE9
#set_property -dict { PACKAGE_PIN H15   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[30] }]; #IO_L19P_T3_35 Sch=je[4] #JE4
#set_property -dict { PACKAGE_PIN Y17   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r1_tri_io[31] }]; #IO_L7N_T1_34 Sch=je[10] #JE10


## 2nd GPIO REGISTER
## J2 port -----------------------------------------------------------------------------------------
#set_property -dict { PACKAGE_PIN M20   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[0] }]; #IO_L7N_T1_AD2N_35 Sch=mipi_lane_n[0]
#set_property -dict { PACKAGE_PIN M18   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[1] }]; #IO_L8N_T1_AD10N_35 Sch=lp_lane_n[0]
#set_property -dict { PACKAGE_PIN M19   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[2] }]; #IO_L7P_T1_AD2P_35 Sch=mipi_lane_p[0]
#set_property -dict { PACKAGE_PIN L19   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[3] }]; #IO_L9P_T1_DQS_AD3P_35 Sch=lp_lane_p[0]
#set_property -dict { PACKAGE_PIN L17   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[4] }]; #IO_L11N_T1_SRCC_35 Sch=mipi_lane_n[1]
#set_property -dict { PACKAGE_PIN L20   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[5] }]; #IO_L9N_T1_DQS_AD3N_35 Sch=lp_lane_n[1]
#set_property -dict { PACKAGE_PIN L16   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[6] }]; #IO_L11P_T1_SRCC_35 Sch=mipi_lane_p[1]
#set_property -dict { PACKAGE_PIN J20   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[7] }]; #IO_L17P_T2_AD5P_35 Sch=lp_lane_p[1]
#set_property -dict { PACKAGE_PIN J19   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[8] }]; #IO_L10N_T1_AD11N_35 Sch=lp_clk_n
#set_property -dict { PACKAGE_PIN H20   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[9] }]; #IO_L17N_T2_AD5N_35 Sch=lp_clk_p
#set_property -dict { PACKAGE_PIN G20   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[10] }]; #IO_L18N_T2_AD13N_35 Sch=cam_gpio
#set_property -dict { PACKAGE_PIN G19   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[11] }]; #IO_L18P_T2_AD13P_35 Sch=cam_clk
#set_property -dict { PACKAGE_PIN F20   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[12] }]; #IO_L15N_T2_DQS_AD12N_35 Sch=cam_scl
#set_property -dict { PACKAGE_PIN F19   IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[13] }]; #IO_L15P_T2_DQS_AD12P_35 Sch=cam_sda

## JB port -----------------------------------------------------------------------------------------
#set_property -dict { PACKAGE_PIN V8    IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[14] }]; #IO_L15P_T2_DQS_13 Sch=jb_p[1]
#set_property -dict { PACKAGE_PIN Y7    IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[15] }]; #IO_L13P_T2_MRCC_13 Sch=jb_p[3]
#set_property -dict { PACKAGE_PIN W8    IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[16] }]; #IO_L15N_T2_DQS_13 Sch=jb_n[1]
#set_property -dict { PACKAGE_PIN Y6    IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[17] }]; #IO_L13N_T2_MRCC_13 Sch=jb_n[3]
#set_property -dict { PACKAGE_PIN U7    IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[18] }]; #IO_L11P_T1_SRCC_13 Sch=jb_p[2]
#set_property -dict { PACKAGE_PIN V6    IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[19] }]; #IO_L22P_T3_13 Sch=jb_p[4]
#set_property -dict { PACKAGE_PIN V7    IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[20] }]; #IO_L11N_T1_SRCC_13 Sch=jb_n[2]
#set_property -dict { PACKAGE_PIN W6    IOSTANDARD LVCMOS33 PULLUP true} [get_ports { gpio_r2_tri_io[21] }]; #IO_L22N_T3_13 Sch=jb_n[4]


##USB-OTG overcurrent detect pin
#set_property -dict { PACKAGE_PIN U13   IOSTANDARD LVCMOS33 } [get_ports { otg_oc }]; #IO_L3P_T0_DQS_PUDC_B_34 Sch=otg_oc


#Crypto Chip SWI
#set_property -dict {PACKAGE_PIN P19 IOSTANDARD LVCMOS33} [get_ports crypto_sda]


##MIPI
#set_property -dict { PACKAGE_PIN G19   IOSTANDARD LVCMOS33 } [get_ports { cam_clk }]; #IO_L18P_T2_AD13P_35 Sch=cam_clk
#set_property -dict { PACKAGE_PIN G20   IOSTANDARD LVCMOS33 } [get_ports { cam_gpio }]; #IO_L18N_T2_AD13N_35 Sch=cam_gpio
#set_property -dict { PACKAGE_PIN F20   IOSTANDARD LVCMOS33 } [get_ports { cam_scl }]; #IO_L15N_T2_DQS_AD12N_35 Sch=cam_scl
#set_property -dict { PACKAGE_PIN F19   IOSTANDARD LVCMOS33 } [get_ports { cam_sda }]; #IO_L15P_T2_DQS_AD12P_35 Sch=cam_sda

#set_property -dict { PACKAGE_PIN J19   IOSTANDARD LVDS     } [get_ports { lp_clk_n }]; #IO_L10N_T1_AD11N_35 Sch=lp_clk_n
#set_property -dict { PACKAGE_PIN H20   IOSTANDARD LVDS     } [get_ports { lp_clk_p }]; #IO_L17N_T2_AD5N_35 Sch=lp_clk_p

#set_property -dict { PACKAGE_PIN M18   IOSTANDARD LVDS     } [get_ports { lp_lane_n[0] }]; #IO_L8N_T1_AD10N_35 Sch=lp_lane_n[0]
#set_property -dict { PACKAGE_PIN L19   IOSTANDARD LVDS     } [get_ports { lp_lane_p[0] }]; #IO_L9P_T1_DQS_AD3P_35 Sch=lp_lane_p[0]
#set_property -dict { PACKAGE_PIN L20   IOSTANDARD LVDS     } [get_ports { lp_lane_n[1] }]; #IO_L9N_T1_DQS_AD3N_35 Sch=lp_lane_n[1]
#set_property -dict { PACKAGE_PIN J20   IOSTANDARD LVDS     } [get_ports { lp_lane_p[1] }]; #IO_L17P_T2_AD5P_35 Sch=lp_lane_p[1]

#set_property -dict { PACKAGE_PIN H18   IOSTANDARD LVCMOS33     } [get_ports { mipi_clk_v_n }]; #IO_L14N_T2_AD4N_SRCC_35 Sch=mipi_clk_n
#set_property -dict { PACKAGE_PIN J18   IOSTANDARD LVCMOS33     } [get_ports { mipi_clk_v_p }]; #IO_L14P_T2_AD4P_SRCC_35 Sch=mipi_clk_p
#set_property -dict { PACKAGE_PIN M20   IOSTANDARD LVDS     } [get_ports { mipi_lane_n[0] }]; #IO_L7N_T1_AD2N_35 Sch=mipi_lane_n[0]
#set_property -dict { PACKAGE_PIN M19   IOSTANDARD LVDS     } [get_ports { mipi_lane_p[0] }]; #IO_L7P_T1_AD2P_35 Sch=mipi_lane_p[0]
#set_property -dict { PACKAGE_PIN L17   IOSTANDARD LVDS     } [get_ports { mipi_lane_n[1] }]; #IO_L11N_T1_SRCC_35 Sch=mipi_lane_n[1]
#set_property -dict { PACKAGE_PIN L16   IOSTANDARD LVDS     } [get_ports { mipi_lane_p[1] }]; #IO_L11P_T1_SRCC_35 Sch=mipi_lane_p[1]
 
